using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Models;
using LoveDAL;
namespace LoveBLL
{
   public static  class GoodsManager
    {
       public static void DelGoods(Goods goods)
       {
           GoodsService.DelGoods(goods);
       }
       public static void AddGoods(Goods goods)
       {
           GoodsService.AddGoods(goods);
       }
       public static void UpGoods(Goods goods)
       {
           GoodsService.UpdateGoods(goods);
       }
       public static IList<Goods> GetAllGoods()
       {
           return GoodsService.GetGoodsAll();
       }
       public static IList<Goods> GetGoodsById(int id)
       {
           return GoodsService.GetGoodsById(id);
       }
       public static string GetPart(string introduce, int num)
       {
           return GoodsService.GetPartString(introduce, num);
       }
       public static int GetGoodsNum()
       {
           return GoodsService.GetGoodsNum();
       }
    }
}
